Skip to main content

Create Payout Account

POST 

/payout_accounts

Create a sandbox payout account (bank or wallet) to test sending payouts. This endpoint only accepts test secret keys (sk_test_).

Live payout accounts are set up by Moyasar after your bank or wallet provider enables the B2B service for your account. Requests made with a live secret key (sk_live_) are rejected with a 403 error of type live_payout_account_setup_restricted. Reach out to customer care to set up a live payout account.

Request​

Body

required

    account_type AccountType (string)required

    Possible values: [bank, wallet]

    Indicates the payout account type.

    properties objectrequired

    Contains the public information relevant to the payout account. For example, the IBAN of the bank account. Every service provider can provide a different set of properties.

    credentials objectrequired

    Contains the secret information relevant to the payout account. For example, the private key configured for this account. Every service provider can provide a different set of credentials.

Responses​

Successful operation

Schema

    id uuidrequired

    The ID of the payout account.

    account_type AccountType (string)required

    Possible values: [bank, wallet]

    Indicates the payout account type.

    currency Currency (string)required

    ISO-4217 three-letter currency code.

    properties objectrequired

    Contains the public information relevant to the payout account. For example, the IBAN of the bank account. Every service provider can provide a different set of properties.

    created_at timestamprequired

    Date and time when the payout account was created.

Loading...